Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.112.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
7.112.0.0
Broadcast address
7.119.255.255
First usable
7.112.0.1
Last usable
7.119.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 07700000 · Integer 124780544 to 125304831
Reverse DNS zones
112.7.in-addr.arpa
113.7.in-addr.arpa
114.7.in-addr.arpa
115.7.in-addr.arpa
116.7.in-addr.arpa
117.7.in-addr.arpa
118.7.in-addr.arpa
119.7.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.01110000.00000000.000000007.112.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000111.01110000.00000000.000000007.112.0.0
Broadcast00000111.01110111.11111111.111111117.119.255.255
Split into smaller subnets/24

7.112.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.112.0.0/247.112.0.1 to 7.112.0.2547.112.0.255254
27.112.1.0/247.112.1.1 to 7.112.1.2547.112.1.255254
37.112.2.0/247.112.2.1 to 7.112.2.2547.112.2.255254
47.112.3.0/247.112.3.1 to 7.112.3.2547.112.3.255254
57.112.4.0/247.112.4.1 to 7.112.4.2547.112.4.255254
67.112.5.0/247.112.5.1 to 7.112.5.2547.112.5.255254
77.112.6.0/247.112.6.1 to 7.112.6.2547.112.6.255254
87.112.7.0/247.112.7.1 to 7.112.7.2547.112.7.255254
97.112.8.0/247.112.8.1 to 7.112.8.2547.112.8.255254
107.112.9.0/247.112.9.1 to 7.112.9.2547.112.9.255254
117.112.10.0/247.112.10.1 to 7.112.10.2547.112.10.255254
127.112.11.0/247.112.11.1 to 7.112.11.2547.112.11.255254
137.112.12.0/247.112.12.1 to 7.112.12.2547.112.12.255254
147.112.13.0/247.112.13.1 to 7.112.13.2547.112.13.255254
157.112.14.0/247.112.14.1 to 7.112.14.2547.112.14.255254
167.112.15.0/247.112.15.1 to 7.112.15.2547.112.15.255254
177.112.16.0/247.112.16.1 to 7.112.16.2547.112.16.255254
187.112.17.0/247.112.17.1 to 7.112.17.2547.112.17.255254
197.112.18.0/247.112.18.1 to 7.112.18.2547.112.18.255254
207.112.19.0/247.112.19.1 to 7.112.19.2547.112.19.255254
217.112.20.0/247.112.20.1 to 7.112.20.2547.112.20.255254
227.112.21.0/247.112.21.1 to 7.112.21.2547.112.21.255254
237.112.22.0/247.112.22.1 to 7.112.22.2547.112.22.255254
247.112.23.0/247.112.23.1 to 7.112.23.2547.112.23.255254
257.112.24.0/247.112.24.1 to 7.112.24.2547.112.24.255254
267.112.25.0/247.112.25.1 to 7.112.25.2547.112.25.255254
277.112.26.0/247.112.26.1 to 7.112.26.2547.112.26.255254
287.112.27.0/247.112.27.1 to 7.112.27.2547.112.27.255254
297.112.28.0/247.112.28.1 to 7.112.28.2547.112.28.255254
307.112.29.0/247.112.29.1 to 7.112.29.2547.112.29.255254
317.112.30.0/247.112.30.1 to 7.112.30.2547.112.30.255254
327.112.31.0/247.112.31.1 to 7.112.31.2547.112.31.255254
337.112.32.0/247.112.32.1 to 7.112.32.2547.112.32.255254
347.112.33.0/247.112.33.1 to 7.112.33.2547.112.33.255254
357.112.34.0/247.112.34.1 to 7.112.34.2547.112.34.255254
367.112.35.0/247.112.35.1 to 7.112.35.2547.112.35.255254
377.112.36.0/247.112.36.1 to 7.112.36.2547.112.36.255254
387.112.37.0/247.112.37.1 to 7.112.37.2547.112.37.255254
397.112.38.0/247.112.38.1 to 7.112.38.2547.112.38.255254
407.112.39.0/247.112.39.1 to 7.112.39.2547.112.39.255254
417.112.40.0/247.112.40.1 to 7.112.40.2547.112.40.255254
427.112.41.0/247.112.41.1 to 7.112.41.2547.112.41.255254
437.112.42.0/247.112.42.1 to 7.112.42.2547.112.42.255254
447.112.43.0/247.112.43.1 to 7.112.43.2547.112.43.255254
457.112.44.0/247.112.44.1 to 7.112.44.2547.112.44.255254
467.112.45.0/247.112.45.1 to 7.112.45.2547.112.45.255254
477.112.46.0/247.112.46.1 to 7.112.46.2547.112.46.255254
487.112.47.0/247.112.47.1 to 7.112.47.2547.112.47.255254
497.112.48.0/247.112.48.1 to 7.112.48.2547.112.48.255254
507.112.49.0/247.112.49.1 to 7.112.49.2547.112.49.255254
517.112.50.0/247.112.50.1 to 7.112.50.2547.112.50.255254
527.112.51.0/247.112.51.1 to 7.112.51.2547.112.51.255254
537.112.52.0/247.112.52.1 to 7.112.52.2547.112.52.255254
547.112.53.0/247.112.53.1 to 7.112.53.2547.112.53.255254
557.112.54.0/247.112.54.1 to 7.112.54.2547.112.54.255254
567.112.55.0/247.112.55.1 to 7.112.55.2547.112.55.255254
577.112.56.0/247.112.56.1 to 7.112.56.2547.112.56.255254
587.112.57.0/247.112.57.1 to 7.112.57.2547.112.57.255254
597.112.58.0/247.112.58.1 to 7.112.58.2547.112.58.255254
607.112.59.0/247.112.59.1 to 7.112.59.2547.112.59.255254
617.112.60.0/247.112.60.1 to 7.112.60.2547.112.60.255254
627.112.61.0/247.112.61.1 to 7.112.61.2547.112.61.255254
637.112.62.0/247.112.62.1 to 7.112.62.2547.112.62.255254
647.112.63.0/247.112.63.1 to 7.112.63.2547.112.63.255254
657.112.64.0/247.112.64.1 to 7.112.64.2547.112.64.255254
667.112.65.0/247.112.65.1 to 7.112.65.2547.112.65.255254
677.112.66.0/247.112.66.1 to 7.112.66.2547.112.66.255254
687.112.67.0/247.112.67.1 to 7.112.67.2547.112.67.255254
697.112.68.0/247.112.68.1 to 7.112.68.2547.112.68.255254
707.112.69.0/247.112.69.1 to 7.112.69.2547.112.69.255254
717.112.70.0/247.112.70.1 to 7.112.70.2547.112.70.255254
727.112.71.0/247.112.71.1 to 7.112.71.2547.112.71.255254
737.112.72.0/247.112.72.1 to 7.112.72.2547.112.72.255254
747.112.73.0/247.112.73.1 to 7.112.73.2547.112.73.255254
757.112.74.0/247.112.74.1 to 7.112.74.2547.112.74.255254
767.112.75.0/247.112.75.1 to 7.112.75.2547.112.75.255254
777.112.76.0/247.112.76.1 to 7.112.76.2547.112.76.255254
787.112.77.0/247.112.77.1 to 7.112.77.2547.112.77.255254
797.112.78.0/247.112.78.1 to 7.112.78.2547.112.78.255254
807.112.79.0/247.112.79.1 to 7.112.79.2547.112.79.255254
817.112.80.0/247.112.80.1 to 7.112.80.2547.112.80.255254
827.112.81.0/247.112.81.1 to 7.112.81.2547.112.81.255254
837.112.82.0/247.112.82.1 to 7.112.82.2547.112.82.255254
847.112.83.0/247.112.83.1 to 7.112.83.2547.112.83.255254
857.112.84.0/247.112.84.1 to 7.112.84.2547.112.84.255254
867.112.85.0/247.112.85.1 to 7.112.85.2547.112.85.255254
877.112.86.0/247.112.86.1 to 7.112.86.2547.112.86.255254
887.112.87.0/247.112.87.1 to 7.112.87.2547.112.87.255254
897.112.88.0/247.112.88.1 to 7.112.88.2547.112.88.255254
907.112.89.0/247.112.89.1 to 7.112.89.2547.112.89.255254
917.112.90.0/247.112.90.1 to 7.112.90.2547.112.90.255254
927.112.91.0/247.112.91.1 to 7.112.91.2547.112.91.255254
937.112.92.0/247.112.92.1 to 7.112.92.2547.112.92.255254
947.112.93.0/247.112.93.1 to 7.112.93.2547.112.93.255254
957.112.94.0/247.112.94.1 to 7.112.94.2547.112.94.255254
967.112.95.0/247.112.95.1 to 7.112.95.2547.112.95.255254
977.112.96.0/247.112.96.1 to 7.112.96.2547.112.96.255254
987.112.97.0/247.112.97.1 to 7.112.97.2547.112.97.255254
997.112.98.0/247.112.98.1 to 7.112.98.2547.112.98.255254
1007.112.99.0/247.112.99.1 to 7.112.99.2547.112.99.255254
1017.112.100.0/247.112.100.1 to 7.112.100.2547.112.100.255254
1027.112.101.0/247.112.101.1 to 7.112.101.2547.112.101.255254
1037.112.102.0/247.112.102.1 to 7.112.102.2547.112.102.255254
1047.112.103.0/247.112.103.1 to 7.112.103.2547.112.103.255254
1057.112.104.0/247.112.104.1 to 7.112.104.2547.112.104.255254
1067.112.105.0/247.112.105.1 to 7.112.105.2547.112.105.255254
1077.112.106.0/247.112.106.1 to 7.112.106.2547.112.106.255254
1087.112.107.0/247.112.107.1 to 7.112.107.2547.112.107.255254
1097.112.108.0/247.112.108.1 to 7.112.108.2547.112.108.255254
1107.112.109.0/247.112.109.1 to 7.112.109.2547.112.109.255254
1117.112.110.0/247.112.110.1 to 7.112.110.2547.112.110.255254
1127.112.111.0/247.112.111.1 to 7.112.111.2547.112.111.255254
1137.112.112.0/247.112.112.1 to 7.112.112.2547.112.112.255254
1147.112.113.0/247.112.113.1 to 7.112.113.2547.112.113.255254
1157.112.114.0/247.112.114.1 to 7.112.114.2547.112.114.255254
1167.112.115.0/247.112.115.1 to 7.112.115.2547.112.115.255254
1177.112.116.0/247.112.116.1 to 7.112.116.2547.112.116.255254
1187.112.117.0/247.112.117.1 to 7.112.117.2547.112.117.255254
1197.112.118.0/247.112.118.1 to 7.112.118.2547.112.118.255254
1207.112.119.0/247.112.119.1 to 7.112.119.2547.112.119.255254
1217.112.120.0/247.112.120.1 to 7.112.120.2547.112.120.255254
1227.112.121.0/247.112.121.1 to 7.112.121.2547.112.121.255254
1237.112.122.0/247.112.122.1 to 7.112.122.2547.112.122.255254
1247.112.123.0/247.112.123.1 to 7.112.123.2547.112.123.255254
1257.112.124.0/247.112.124.1 to 7.112.124.2547.112.124.255254
1267.112.125.0/247.112.125.1 to 7.112.125.2547.112.125.255254
1277.112.126.0/247.112.126.1 to 7.112.126.2547.112.126.255254
1287.112.127.0/247.112.127.1 to 7.112.127.2547.112.127.255254
1297.112.128.0/247.112.128.1 to 7.112.128.2547.112.128.255254
1307.112.129.0/247.112.129.1 to 7.112.129.2547.112.129.255254
1317.112.130.0/247.112.130.1 to 7.112.130.2547.112.130.255254
1327.112.131.0/247.112.131.1 to 7.112.131.2547.112.131.255254
1337.112.132.0/247.112.132.1 to 7.112.132.2547.112.132.255254
1347.112.133.0/247.112.133.1 to 7.112.133.2547.112.133.255254
1357.112.134.0/247.112.134.1 to 7.112.134.2547.112.134.255254
1367.112.135.0/247.112.135.1 to 7.112.135.2547.112.135.255254
1377.112.136.0/247.112.136.1 to 7.112.136.2547.112.136.255254
1387.112.137.0/247.112.137.1 to 7.112.137.2547.112.137.255254
1397.112.138.0/247.112.138.1 to 7.112.138.2547.112.138.255254
1407.112.139.0/247.112.139.1 to 7.112.139.2547.112.139.255254
1417.112.140.0/247.112.140.1 to 7.112.140.2547.112.140.255254
1427.112.141.0/247.112.141.1 to 7.112.141.2547.112.141.255254
1437.112.142.0/247.112.142.1 to 7.112.142.2547.112.142.255254
1447.112.143.0/247.112.143.1 to 7.112.143.2547.112.143.255254
1457.112.144.0/247.112.144.1 to 7.112.144.2547.112.144.255254
1467.112.145.0/247.112.145.1 to 7.112.145.2547.112.145.255254
1477.112.146.0/247.112.146.1 to 7.112.146.2547.112.146.255254
1487.112.147.0/247.112.147.1 to 7.112.147.2547.112.147.255254
1497.112.148.0/247.112.148.1 to 7.112.148.2547.112.148.255254
1507.112.149.0/247.112.149.1 to 7.112.149.2547.112.149.255254
1517.112.150.0/247.112.150.1 to 7.112.150.2547.112.150.255254
1527.112.151.0/247.112.151.1 to 7.112.151.2547.112.151.255254
1537.112.152.0/247.112.152.1 to 7.112.152.2547.112.152.255254
1547.112.153.0/247.112.153.1 to 7.112.153.2547.112.153.255254
1557.112.154.0/247.112.154.1 to 7.112.154.2547.112.154.255254
1567.112.155.0/247.112.155.1 to 7.112.155.2547.112.155.255254
1577.112.156.0/247.112.156.1 to 7.112.156.2547.112.156.255254
1587.112.157.0/247.112.157.1 to 7.112.157.2547.112.157.255254
1597.112.158.0/247.112.158.1 to 7.112.158.2547.112.158.255254
1607.112.159.0/247.112.159.1 to 7.112.159.2547.112.159.255254
1617.112.160.0/247.112.160.1 to 7.112.160.2547.112.160.255254
1627.112.161.0/247.112.161.1 to 7.112.161.2547.112.161.255254
1637.112.162.0/247.112.162.1 to 7.112.162.2547.112.162.255254
1647.112.163.0/247.112.163.1 to 7.112.163.2547.112.163.255254
1657.112.164.0/247.112.164.1 to 7.112.164.2547.112.164.255254
1667.112.165.0/247.112.165.1 to 7.112.165.2547.112.165.255254
1677.112.166.0/247.112.166.1 to 7.112.166.2547.112.166.255254
1687.112.167.0/247.112.167.1 to 7.112.167.2547.112.167.255254
1697.112.168.0/247.112.168.1 to 7.112.168.2547.112.168.255254
1707.112.169.0/247.112.169.1 to 7.112.169.2547.112.169.255254
1717.112.170.0/247.112.170.1 to 7.112.170.2547.112.170.255254
1727.112.171.0/247.112.171.1 to 7.112.171.2547.112.171.255254
1737.112.172.0/247.112.172.1 to 7.112.172.2547.112.172.255254
1747.112.173.0/247.112.173.1 to 7.112.173.2547.112.173.255254
1757.112.174.0/247.112.174.1 to 7.112.174.2547.112.174.255254
1767.112.175.0/247.112.175.1 to 7.112.175.2547.112.175.255254
1777.112.176.0/247.112.176.1 to 7.112.176.2547.112.176.255254
1787.112.177.0/247.112.177.1 to 7.112.177.2547.112.177.255254
1797.112.178.0/247.112.178.1 to 7.112.178.2547.112.178.255254
1807.112.179.0/247.112.179.1 to 7.112.179.2547.112.179.255254
1817.112.180.0/247.112.180.1 to 7.112.180.2547.112.180.255254
1827.112.181.0/247.112.181.1 to 7.112.181.2547.112.181.255254
1837.112.182.0/247.112.182.1 to 7.112.182.2547.112.182.255254
1847.112.183.0/247.112.183.1 to 7.112.183.2547.112.183.255254
1857.112.184.0/247.112.184.1 to 7.112.184.2547.112.184.255254
1867.112.185.0/247.112.185.1 to 7.112.185.2547.112.185.255254
1877.112.186.0/247.112.186.1 to 7.112.186.2547.112.186.255254
1887.112.187.0/247.112.187.1 to 7.112.187.2547.112.187.255254
1897.112.188.0/247.112.188.1 to 7.112.188.2547.112.188.255254
1907.112.189.0/247.112.189.1 to 7.112.189.2547.112.189.255254
1917.112.190.0/247.112.190.1 to 7.112.190.2547.112.190.255254
1927.112.191.0/247.112.191.1 to 7.112.191.2547.112.191.255254
1937.112.192.0/247.112.192.1 to 7.112.192.2547.112.192.255254
1947.112.193.0/247.112.193.1 to 7.112.193.2547.112.193.255254
1957.112.194.0/247.112.194.1 to 7.112.194.2547.112.194.255254
1967.112.195.0/247.112.195.1 to 7.112.195.2547.112.195.255254
1977.112.196.0/247.112.196.1 to 7.112.196.2547.112.196.255254
1987.112.197.0/247.112.197.1 to 7.112.197.2547.112.197.255254
1997.112.198.0/247.112.198.1 to 7.112.198.2547.112.198.255254
2007.112.199.0/247.112.199.1 to 7.112.199.2547.112.199.255254
2017.112.200.0/247.112.200.1 to 7.112.200.2547.112.200.255254
2027.112.201.0/247.112.201.1 to 7.112.201.2547.112.201.255254
2037.112.202.0/247.112.202.1 to 7.112.202.2547.112.202.255254
2047.112.203.0/247.112.203.1 to 7.112.203.2547.112.203.255254
2057.112.204.0/247.112.204.1 to 7.112.204.2547.112.204.255254
2067.112.205.0/247.112.205.1 to 7.112.205.2547.112.205.255254
2077.112.206.0/247.112.206.1 to 7.112.206.2547.112.206.255254
2087.112.207.0/247.112.207.1 to 7.112.207.2547.112.207.255254
2097.112.208.0/247.112.208.1 to 7.112.208.2547.112.208.255254
2107.112.209.0/247.112.209.1 to 7.112.209.2547.112.209.255254
2117.112.210.0/247.112.210.1 to 7.112.210.2547.112.210.255254
2127.112.211.0/247.112.211.1 to 7.112.211.2547.112.211.255254
2137.112.212.0/247.112.212.1 to 7.112.212.2547.112.212.255254
2147.112.213.0/247.112.213.1 to 7.112.213.2547.112.213.255254
2157.112.214.0/247.112.214.1 to 7.112.214.2547.112.214.255254
2167.112.215.0/247.112.215.1 to 7.112.215.2547.112.215.255254
2177.112.216.0/247.112.216.1 to 7.112.216.2547.112.216.255254
2187.112.217.0/247.112.217.1 to 7.112.217.2547.112.217.255254
2197.112.218.0/247.112.218.1 to 7.112.218.2547.112.218.255254
2207.112.219.0/247.112.219.1 to 7.112.219.2547.112.219.255254
2217.112.220.0/247.112.220.1 to 7.112.220.2547.112.220.255254
2227.112.221.0/247.112.221.1 to 7.112.221.2547.112.221.255254
2237.112.222.0/247.112.222.1 to 7.112.222.2547.112.222.255254
2247.112.223.0/247.112.223.1 to 7.112.223.2547.112.223.255254
2257.112.224.0/247.112.224.1 to 7.112.224.2547.112.224.255254
2267.112.225.0/247.112.225.1 to 7.112.225.2547.112.225.255254
2277.112.226.0/247.112.226.1 to 7.112.226.2547.112.226.255254
2287.112.227.0/247.112.227.1 to 7.112.227.2547.112.227.255254
2297.112.228.0/247.112.228.1 to 7.112.228.2547.112.228.255254
2307.112.229.0/247.112.229.1 to 7.112.229.2547.112.229.255254
2317.112.230.0/247.112.230.1 to 7.112.230.2547.112.230.255254
2327.112.231.0/247.112.231.1 to 7.112.231.2547.112.231.255254
2337.112.232.0/247.112.232.1 to 7.112.232.2547.112.232.255254
2347.112.233.0/247.112.233.1 to 7.112.233.2547.112.233.255254
2357.112.234.0/247.112.234.1 to 7.112.234.2547.112.234.255254
2367.112.235.0/247.112.235.1 to 7.112.235.2547.112.235.255254
2377.112.236.0/247.112.236.1 to 7.112.236.2547.112.236.255254
2387.112.237.0/247.112.237.1 to 7.112.237.2547.112.237.255254
2397.112.238.0/247.112.238.1 to 7.112.238.2547.112.238.255254
2407.112.239.0/247.112.239.1 to 7.112.239.2547.112.239.255254
2417.112.240.0/247.112.240.1 to 7.112.240.2547.112.240.255254
2427.112.241.0/247.112.241.1 to 7.112.241.2547.112.241.255254
2437.112.242.0/247.112.242.1 to 7.112.242.2547.112.242.255254
2447.112.243.0/247.112.243.1 to 7.112.243.2547.112.243.255254
2457.112.244.0/247.112.244.1 to 7.112.244.2547.112.244.255254
2467.112.245.0/247.112.245.1 to 7.112.245.2547.112.245.255254
2477.112.246.0/247.112.246.1 to 7.112.246.2547.112.246.255254
2487.112.247.0/247.112.247.1 to 7.112.247.2547.112.247.255254
2497.112.248.0/247.112.248.1 to 7.112.248.2547.112.248.255254
2507.112.249.0/247.112.249.1 to 7.112.249.2547.112.249.255254
2517.112.250.0/247.112.250.1 to 7.112.250.2547.112.250.255254
2527.112.251.0/247.112.251.1 to 7.112.251.2547.112.251.255254
2537.112.252.0/247.112.252.1 to 7.112.252.2547.112.252.255254
2547.112.253.0/247.112.253.1 to 7.112.253.2547.112.253.255254
2557.112.254.0/247.112.254.1 to 7.112.254.2547.112.254.255254
2567.112.255.0/247.112.255.1 to 7.112.255.2547.112.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses